Home | All Classes | Grouped Classes | Index | Search

# CL_PixelFormat::CL_PixelFormat

Constructs a pixel format description.

    	CL_PixelFormat();

    	CL_PixelFormat(
    		const CL_PixelFormat& copy);

    	CL_PixelFormat(
    		int depth, unsigned int red_mask, unsigned int green_mask, unsigned int blue_mask, unsigned int alpha_mask = 0, bool use_colorkey = false, unsigned int colorkey = 0, CL_PixelFormatType type = pixelformat_rgba);

Parameters:

depth
  Bits per pixel.
red_mask
  Red color mask.
green_mask
  Green color mask.
blue_mask
  Blue color mask.
alpha_mask
  Alpha transparency mask.
use_colorkey
  True if source color key transparency is used (single color transparency).
colorkey
  Source color key (pixel value that means transparent).

See also:

CL_PixelFormat

Questions or comments, write to the ClanLib mailing list.